package com.ssj.service.conch.opentest.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2020/5/15
 */
public class GetKnowledgeReq extends BaseRequest {

    private static final long serialVersionUID = -3599279164102187917L;

    @ApiModelProperty(name = "type", value = "类型(同步/专题)", required = true)
    private String type;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @ApiModelProperty(name = "subject", value = "学科", required = true)
    private String subject;

    @ApiModelProperty(name = "version", value = "版本", required = true)
    private String version;

    @ApiModelProperty(name = "unit", value = "单元", required = true)
    private String unit;

    @ApiModelProperty(name = "semester", value = "学期", required = true)
    private String semester;

    @ApiModelProperty(name = "type1", value = "类型(1:学前;2:单元;3期中)", required = true)
    private int type1;

    public int getType1() {
        return type1;
    }

    public void setType1(int type1) {
        this.type1 = type1;
    }

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
}
